Include jQuery 2.1.0

By Carlos Henriques on 24 Feb 2014
Add a new optional version of jQuery -> v2.1.0
Kilian Hekhuis27 Feb 2014
jQuery will always be a moving target, but it'd be nice if each newer version would be support out-of-the-box.